<template>
    <div>
        <v-layout pt-5 pl-10>
            <v-flex xs12 sm12 md4 lg4 xl4>
                 <!-- **************************New Knowledge *********************************** -->
                <span ><h1><font size="28px" color="black">คลังความรู้ใหม่</font></h1></span>
            </v-flex>
            <v-flex xs11 pt-10 >
                <v-progress-linear
                color="black"
                />
            </v-flex>
        </v-layout>
        <v-layout pb-10>
            <v-layout wrap class=" pt-5 " >
                <v-hover v-slot:default="{ hover }" open-delay="300" close-delay="100">
                <!-- ******************************New Topic************************************** -->
                <v-flex xs12 sm12 md4 lg4 xl4 px-5  class="d-flex justify-center">
                    <v-card
                        @click="detail(datas_date[0])"
                        height="110%"
                        width="100%"
                        style="background-color: #424242 border-radius: 4px;"
                        :elevation="hover? 8 : 3"
                        :color="hover ? 'grey darken-1' : 'grey darken-3' "
                    >
                        <v-div >
                            <v-div >
                                <v-container pt-5>
                                     <!-- ************************** img popular************************* -->
                                    <v-img
                                        class="mx-auto "
                                        height="200px"
                                        width="200px"
                                        :src="test+datas_date[0].image"
                                    >
                                    </v-img>
                                </v-container>
                                <v-layout pt-5 class="align-end" pt-10>
                                    <v-flex xs12 text-center >
                                        <!-- ****************************text_box************************** -->
                                            <span ><font size="4" color="white">{{datas_date[0].title}}</font></span><br>
                                            <i class="fa fa-calendar white--text" ></i> &nbsp;
                                            <font size="1" class="white--text align-center" >{{convertDate(datas_date[0].date.substring(0,10))}}</font><br>

                                    </v-flex>
                                </v-layout>
                            </v-div>
                        </v-div>
                    </v-card>
                </v-flex>
                </v-hover>
                 <!-- ********************************** other topics**************************** -->
                <v-flex xs12 sm12 md8 lg8 xl8 pt-10>
                    <v-sheet
                        class=" pt-5 px-1"
                        width="100%"
                        style="background-color:  rgb(1, 1,1, 0)"
                        :class="align-center"
                    >
                    <v-item-group>
                        <v-flex >
                        <!-- *********************slide_box****************** -->
                            <v-slide-group
                            v-model="model"
                            show-arrows
                            mandatory

                            >
                            <!-- ********************loop_slide_item********************************** -->
                                <v-slide-item
                                    v-for="(item,index) in datas_date"
                                    :key="index"

                                >
                                    <v-div v-if="item != datas_date[0]">
                                    <!-- ************************mouse_event*********************************** -->
                                        <v-hover v-slot:default="{ hover }" open-delay="300" close-delay="100">
                                            <v-layout wrap  >
                                                <v-container px-1>
                                            <!-- ****************************create_cart*************************** -->
                                                    <v-card
                                                    @click="detail(item)"
                                                    height="250px"
                                                    width="200px"
                                                    :elevation="hover? 8 : 3"
                                                    :color="hover ? 'grey darken-1' : 'grey darken-3' "
                                                    class="ma-1 "
                                                    style="border-radius: 4px;"
                                                    >
                                                     <!-- ************************* other img ******************************* -->
                                                    <v-img
                                                        border="left"
                                                        class="mx-auto "
                                                        height="170px"
                                                        width="200px"
                                                        :src="test+item.image"
                                                    >
                                                    </v-img>
                                                    <v-div v-if="item.date.substring(0,4)">
                                                    </v-div>
                                                    <v-layout pt-2>
                                                        <v-flex xs12 style="text-align:center " >
                                                            <!-- ****************************text_box************************** -->
                                                            <span ><font size="4" color="white">{{item.title.substring(0,17)}}</font></span><br>
                                                            <i class="fa fa-calendar white--text" ></i> &nbsp;
                                                            <font size="1" class="white--text align-center" >{{convertDate(item.date.substring(0,10))}}</font><br>

                                                        </v-flex>
                                                    </v-layout>
                                                    </v-card>
                                                </v-container>
                                            </v-layout>
                                        </v-hover>
                                    </v-div>
                                </v-slide-item>
                            </v-slide-group>
                        </v-flex>
                    </v-item-group>
                    </v-sheet>
                </v-flex >
            </v-layout><br><br><br><br>
        </v-layout>
    </div>
</template>

<script>

export default {
  data () {
    return {
      datas_date: [],
      test: process.env.VUE_APP_API
    }
  },
  created () {
    this.getDataDate()
  },
  methods: {
    async detail (val) {
      console.log('iddddddddddddddddddddddd', val)
      await this.$store.dispatch('get_newknowledge', val)
      console.log('id', this.$store.getters.popknowledge)
      this.$router.push('/knowledge_new_page')
    },
    async getDataDate () {
      console.log('object')
      try {
        var response = await this.axios.get(process.env.VUE_APP_API + '/api/subsubject/landing_page/news_count_with_upload_date')
        console.log('tee', response.data.data)
        this.datas_date = response.data.data
      } catch (error) {
        console.log(error.message)
      }
    },
    convertDate (date) {
      var month = []
      month = ['มกราคม', 'กุมภาพันธ์', 'มีนาคม', 'เมษายน', 'พฤษภาคม', 'มิถุนายน', 'กรกฎาคม', 'สิงหาคม', 'กันยายน', 'ตุลาคม', 'พฤษจิกายน', 'ธันวาคม']
      var y = date.substr(0, 4)
      var m = date.substr(5, 2)
      var d = date.substr(8, 2)
      var dates = parseInt(d) + '  ' + month[parseInt(m) - 1] + '  ' + (parseInt(y))
      return dates
    }
  }
}

</script>
